<?php

require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $nomsede= utf8_decode($_GET['nomsede']);
    $this->Cell(200,0,$nomsede,0,1,'C');
    $this->Ln(4);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=utf8_decode($registro["nemoie"]);
		$direccion=utf8_decode($registro["direccionie"]);
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(15, 10, 5); // Margen izquierdo de 15, Superior 10 y se maneja un ancho de 195 para el contenido, Margen derecho de 5
include("../php/conexion-bdie.php");
$reggrados=mysql_query("Select idgrado,grado From datos_grados Where danesede='$danesede' And estado='1'",$db_basededatosie);
while ($FilaGrados=mysql_fetch_array($reggrados)){
	$idgrado=$FilaGrados["idgrado"];$grado=$FilaGrados["grado"];
	include("../php/conexion-bdie.php");
	$reggrupos=mysql_query("Select idgrupo From datos_grupos Where idgrado='$idgrado' And estado='1'",$db_basededatosie);
	while ($FilaGrupos=mysql_fetch_array($reggrupos)){
		$contador=0;$idgrupo=$FilaGrupos["idgrupo"];
		include("../php/conexion-bdie.php");
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' And estado='1'",$db_basededatosie);
		while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculado["nuid"];
			$regestudiantes=mysql_query("Select nombres,apellidos,direccion,telefono,movil,movilpapa,movilmama,movilacudiente,correo From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
			if(mysql_num_rows($regestudiantes)>0){
				$FilaEstudiante=mysql_fetch_array($regestudiantes);
				$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
				$estudiantesdesordenados[$contador][1]=$FilaMatriculado["nuid"];
				$estudiantesdesordenados[$contador][2]=utf8_decode($FilaEstudiante["direccion"]);
				$estudiantesdesordenados[$contador][3]=$FilaEstudiante["telefono"]."/".$FilaEstudiante["movil"];
				$estudiantesdesordenados[$contador][4]=$FilaEstudiante["movilpapa"]."/".$FilaEstudiante["movilmama"]."/".$FilaEstudiante["movilacudiente"];
				$estudiantesdesordenados[$contador][5]=$FilaEstudiante["correo"];
				$contador=$contador+1;
			}
		}
		// Ordenar el array ... 
		if ($contador)
			sort($estudiantesdesordenados);
		$pdf->AddPage();
		$pdf->SetFont('Arial','B',12);$pdf->Cell(195,5,'DIRECTORIO DE ESTUDIANTES',0,1,'C');$pdf->Ln(5);
		$pdf->SetFont('Arial','B',10);$pdf->Cell(80,5,'Grado: '.$grado,1,0,'C');$pdf->Cell(65,5,'Grupo/Curso: '.substr($idgrupo,17,1),1,0,'C');$pdf->Cell(50,5,'Año Lectivo: '.substr($lectivo,1,4),1,1,'C');
		$pdf->Ln(2);$pdf->SetFont('Arial','B',8);
		$pdf->Cell(5,5,'#',1,0,'C');$pdf->Cell(60,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(50,5,'DIRECCION',1,0,'C');$pdf->Cell(40,5,'FIJO/CELULAR',1,0,'C');$pdf->Cell(40,5,'ACUDIENTE',1,1,'C');
		for ($i=0;$i<$contador;$i++) {
			$pdf->SetFont('Arial','',7);			
			$pdf->Cell(5,4,$i+1,1,0,'C');
			$pdf->Cell(60,4,$estudiantesdesordenados[$i][0],1,0,'L');
			$pdf->Cell(50,4,$estudiantesdesordenados[$i][2],1,0,'L');
			$pdf->Cell(40,4,$estudiantesdesordenados[$i][3],1,0,'L');
			$pdf->Cell(40,4,$estudiantesdesordenados[$i][4],1,1,'L');
		}
	}
}

$pdf->Output();
?>